Foreman - Bug #2036

error when trying to overlay a second domain in an existing subnet
12/11/2012 06:18 PM - Joshua Hoblitt

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| have an existing domain named tuc.noao.edu which is working fine in several subnets. I'm attempting to add a new domain named
sdm.noao.edu into one subnet. | am not using smart-proxy DNS management, all DNS setup is manual. In this particular case, I'm
only using forward records on no reverse. The name of the foreman/smart-proxy/puppet host is ctrl.tuc.noao.edu. When ever | tried
to create a host (bare metal or vm) in this new subnet, it fails with this error message "failed to detect boot server: DNS result has no
information for ctrl.tuc.noao.edu". Changing the domain to tuc.noao.edu allows the creation to succeed even without DNS for the
domain being configured. It feels like the error message being returned here is a little misleading.

This issue is present in 1.0.1 and the 1.1RC RPMs.

Started POST "/hosts" for 140.252.7.41 at Tue Dec 11 16:06:52 -0700 2012
Processing by HostsController#create as
Parameters: {"capabilities"=>"build", "utf8"=>"0", "host"=>{"sp_ip"=>"", "environment_id"=>"1",
"sp_subnet_id"=>"", "domain_id"=>"6", "subnet_id"=>"2", "operatingsystem_id"=>"8", "medium_id"=>"1
", "managed"=>"true", "name"=>"dtstest5", "puppetclass_ids"=>[""], "sp_mac"=>"", "build"=>"1", "is
_owned_by"=>"1-Users", "compute_resource_id"=>"1", "hostgroup_id"=>"5", "disk"=>"", "comment"=>"",
"puppet_proxy_id"=>"2", "mac"=>"52:54:00:b4:8b:bb", "sp_name"=>"", "enabled"=>"1", "architecture_
id"=>"2", "provision_method"=>"build", "root_pass"=>"[FILTERED]", "overwrite"=>"false", "progress_
report_id"=>"[FILTERED]", "ptable_id"=>"13", "ip"=>"140.252.26.2"}, "authenticity_token"=>"ZUk3Gjz
6EahefngtHwRzdw8axydWVTnOP8WkWCh4 fx8="}
failed to detect boot server: DNS result has no information for ctrl.tuc.nocao.edu
Create DHCP reservation for dtstest5.sdm.noao.edu-52:54:00:b4:8b:bb/140.252.26.2
Add the TFTP configuration for dtstest5.sdm.nocao.edu
Fetching required TFTP boot files for dtstest5.sdm.noao.edu
Rolling back due to a problem:
Delete the TFTP configuration for dtstest5.sdm.nocao.edu
Delete DHCP reservation for dtstest5.sdm.noao.edu-52:54:00:b4:8b:bb/140.252.26.2
Failed to save: failed to detect boot server: DNS result has no information for ctrl.tuc.noao.edu
Rendered hosts/_progress.erb (0.2ms)
Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)
Rendered puppetclasses/_classes.html.erb (1044.9ms)
Rendered puppetclasses/_class_selection.html.erb (1056.8ms)
Rendered hosts/_compute.html.erb (0.8ms)
Rendered common/_domain.html.erb (14.9ms)
Rendered hosts/_sp_subnet.html.erb (2.6ms)
Rendered common/os_selection/_architecture.html.erb (4.4ms)
Rendered common/os_selection/_operatingsystem.html.erb (148.9ms)
Rendered hosts/_operating_system.erb (161.1ms)
Rendered hosts/_unattended.html.erb (190.4ms)
Rendered puppetclasses/_class_parameters.html.erb (0.0ms)
Rendered puppetclasses/_classes_parameters.html.erb (10.9ms)
Rendered common_parameters/_inherited_parameters.erb (0.2ms)
Rendered common_parameters/_puppetclass_parameter.erb (3.7ms)
Rendered common_parameters/_puppetclasses_parameters.erb (5.9ms)
Rendered common_parameters/_parameter.erb (2.1lms)
Rendered common_parameters/_parameters.erb (4.6ms)
Rendered hosts/_form.html.erb (1569.3ms)
Read fragment views/tabs_and_title_records-1
Rendered home/_topbar.rhtml

Rendered hosts/new.html.erb within layouts/application
ActiveRecord:

Completed 200 OK in 2768ms

D,

4:00:b4:8b:bb) to

(Views:

(2.3ms)

[2012-12-11T16:06:52.901320 #21607]
140.252.26.0/255.255.255.0

1566.1ms

DEBUG

(0.4ms)

(1578.2ms)
22.3ms)
(140.252.26.2 / 52:5

Added dtstest5.sdm.noao.edu

D, [2012-12-11T16:06:52.903409 #21607] DEBUG —- omshell: executed - set name = "dtstest5.sdm.noa

o.edu"

D, [2012-12-11T16:06:52.903647 #21607] DEBUG —-- true

D, [2012-12-11T16:06:52.903881 #21607] DEBUG —- omshell: executed - set ip-address = 140.252.26.

2

D, [2012-12-11T16:06:52.904076 #21607] DEBUG -- true

D, [2012-12-11T16:06:52.904280 #21607] DEBUG —-— omshell: executed - set hardware-address = 52:54
:00:b4:8b:bb

D, [2012-12-11T16:06:52.904420 #21607] DEBUG -- true

D, [2012-12-11T16:06:52.904590 #21607] DEBUG —-— omshell: executed - set hardware-type =1

D, [2012-12-11T16:06:52.904711 #21607] DEBUG —-- true

W, [2012-12-11T16:06:52.905525 #21607] WARN —— Failed to resolve IP address for false

D, [2012-12-11T16:06:52.905706 #21607] DEBUG ——- : omshell: executed - set statements = "filename =
\"pxelinux.0\"; next-server = \"false\"; option host-name = \"dtstest5.sdm.nocao.edu\";"

D, [2012-12-11T16:06:52.905858 #21607] DEBUG -- true

D, [2012-12-11T16:06:52.906081 #21607] DEBUG —-— omshell: executed - create

D, [2012-12-11T16:06:52.906212 #21607] DEBUG -- true

I, [2012-12-11T16:06:52.973705 #21607] INFO —-— Added DHCP reservation for dtstest5.sdm.noao.edu
(140.252.26.2 / 52:54:00:b4:8b:bb)

I, [2012-12-11T16:06:53.017283 #21607] INFO —— TFTP: entry for 52:54:00:b4:8b:bb created succes

sfully

D, [2012-12-11T16:06:53.050885 #21607] DEBUG —— Starting task (total: 0): wget —--timeout=10 --tr

ies=3 —--no-check-certificate -nv —-c http://centos.tuc.noao.edu/centos/5.8/0s/1386//images/pxeboot/

initrd.img -0 "/var/lib/tftpboot/boot/Centos-5.8-1386-initrd.img"

D, [2012-12-11T16:06:53.073428 #21607] DEBUG —— Starting task (total: 0): wget --timeout=10 --tr

ies=3 —--no-check-certificate -nv -c http://centos.tuc.noao.edu/centos/5.8/0s/1386//images/pxeboot/

vmlinuz -0 "/var/lib/tftpboot/boot/Centos-5.8-1386-vmlinuz"

D, [2012-12-11T16:06:53.310839 #21607] DEBUG —- TFTP: entry for 52:54:00:b4:8b:bb removed succes
sfully

D, [2012-12-11T16:06:53.337091 #21607] DEBUG —- Reading config file /etc/dhcp/dhcpd.conf

D, [2012-12-11T16:06:53.413924 #21607] DEBUG —-— Lazy loaded 140.252.26.0/255.255.255.0 records
D, [2012-12-11T16:06:53.416927 #21607] DEBUG —- omshell: executed - set hardware-address = 52:54
:00:04:8b:bb

D, [2012-12-11T16:06:53.417234 #21607] DEBUG —-- true

D, [2012-12-11T16:06:53.417413 #21607] DEBUG -- omshell: executed - open

D, [2012-12-11T16:06:53.417509 #21607] DEBUG -- true

D, [2012-12-11T16:06:53.417656 #21607] DEBUG —-— omshell: executed - remove

D, [2012-12-11T16:06:53.417775 #21607] DEBUG --— true

I, [2012-12-11T16:06:53.485224 #21607] INFO —-— : Removed DHCP reservation for dtstest5.sdm.noao.e
du => dtstest5.sdm.nocao.edu (140.252.26.2 / 52:54:00:b4:8b:bb)

History

#1 - 12/12/2012 01:34 PM - Joshua Hoblitt

Relatedly, if you provisioning the host in one subnet then manually update the network domain name. Storeconfigs pushes this change back,
foreman picks up the change, creates a duplicate host name but in the different domain, change the domain setting on the original host, and works
itself into the state that the original host gives the error below when trying to delete it unless you go and manually set the domain back to the one
which was used to originally create the host.

Started POST "/hosts/dtstest5.tuc.noao.edu" for 140.252.7.41 at Wed Dec 12 11:30:43 -0700 2012
Processing by HostsController#destroy as HTML

Parameters:
edu"}
failed
Delete
Delete
Remove
Delete
to detect boot server:

{"authenticity_token"=>"bVrbDKXJA4Ugpmc00b+vA16MYCbi7VvN27XX82fgD7ZA=",

"id"=>"dtstest5.tuc.noao.

DNS result has no information for ctrl.tuc.noao.edu

DHCP reservation for dtstest5.tuc.noao.edu.sdm.noao.edu-52:54:00:2c:ac:c8/140.252.26.2
the TFTP configuration for dtstest5.tuc.nocao.edu.sdm.noao.edu

puppet certificate for dtstest5.tuc.nocao.edu.sdm.noao.edu

the autosign entry for dtstest5.tuc.noao.edu.sdm.noao.edu
Removing Compute instance for dtstest5.tuc.nocao.edu.sdm.noao.edu
Rolling back due to a problem:
Adding Compute instance for dtstest5.tuc.noao.edu.sdm.noao.edu

Failed to create a compute sdmvml

ge' for nil:NilClass

/usr/share/foreman/app/models/orchestration/compute.rb:
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.

/usr/lib/ruby/gems/1.
ks'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
turning_status'
/usr/lib/ruby/gems/1.
ments.rb:139:in
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
turning_status'
/usr/lib/ruby/gems/1.

(Libvirt)

8/gems/activesupport-3
8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.

8/gems/activerecord-3.

“transaction'

8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.

instance dtstest5.tuc.noao.edu.sdm.noao.edu:

59:in " setCompute'

rb:155:in "~ send’
rb:155:in "“execute'
rb:128:in “process'
rb:124:in "“reverse_each'
rb:124:in “process'
rb:40:in “on_destroy'

.0.17/1ib/active_support/callbacks.rb:491:in

undefined method "mer

*_run_destroy_callbac

0.17/1ib/active_record/callbacks.rb:256:in “destroy'
0.17/1lib/active_record/transactions.rb:235:in “destroy'
0.17/1ib/active_record/transactions.rb:292:in ‘with_transaction_re

0.17/1ib/active_record/connection_adapters/abstract/database_state

0.17/1lib/active_record/transactions.rb:207:in ‘transaction'

0.17/1lib/active_record/transactions.rb:290:1in

0.17/1lib/active_record/transactions.rb:235:in

/usr/share/foreman/app/models/orchestration.rb:68:1in “destroy'
/usr/share/foreman/app/controllers/hosts_controller.rb:119:in “destroy'

/usr/lib/ruby/gems/1

/usr/lib/ruby/gems/1.

nl
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

n

8/gems/actionpack-3.0.

8/gems/actionpack-3.0.
8/gems/actionpack-3.0.
8/gems/actionpack-3.0.
8/gems/activesupport-3

cess_action_ 467867647__callbacks'

/usr/lib/ruby/gems/1.
k_around_4391'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
2 L}
/usr/lib/ruby/gems/1.
k_around_4391"'
/usr/lib/ruby/gems/1.

8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.

8/gems/activesupport-3.

cess_action_ 467867647__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0

k_around_4390"'

/usr/share/foreman/lib/foreman/threadsession.rb:31:in
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0

k_around_4390"'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0

cess_action__467867647__callbacks'

/usr/lib/ruby/gems/1.
k_around_4389"'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
k_around_4389"'
/usr/lib/ruby/gems/1.

8/gems/activesupport-3.

8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.

cess_action__467867647__callbacks'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
callbacks'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
ction'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
rument'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.
8/gems/activesupport-3.

17/1ib/action_controller/metal/implicit_render.

.8/gems/actionpack-3.0.17/1ib/action_controller/metal/implicit_render.

‘with_transaction_re

“destroy'
rb:4:in "“send_actio
rb:4:in "“send_actio

17/1ib/abstract_controller/base.rb:150:in "process_action'
17/1ib/action_controller/metal/rendering.rb:11:in “process_action'
17/1ib/abstract_controller/callbacks.rb:18:in ‘process_action'

.0
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.

.17/1ib/active_support/callbacks.

“clear_thread'
.17/1ib/active_support/callbacks.

.17/1ib/active_support/callbacks.
0.17/1lib/active_support/callbacks.
.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.

0.17/1ib/active_support/callbacks.

0.17/1lib/active_support/callbacks.
0.17/1ib/active_support/callbacks.

0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.

rb:221:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:
rb:

rb:
rb:

331:
315:
315:
220:

477

221:

220:
437 :
221:
331:
315:
315:
220:

436:

410:
410:

.17/1ib/active_support/callbacks.rb:483:1in

in

in

in

in

in

in

in

in

in

in

in

in

in

in

in

in
in

94:in
94:in
8/gems/actionpack-3.0.17/1ib/abstract_controller/callbacks.rb:17:in ‘process_action'
8/gems/actionpack-3.0.17/1lib/action_controller/metal/rescue.rb:17:in 'process_action'
8/gems/actionpack-3.0.17/1lib/action_controller/metal/instrumentation.rb:30:in “process_a

run__103696526__pro

*_conditional_callbac

“around'
“send'

_callback_around_151

_conditional_callbac

_run__103696526__pro

_conditional_callbac

_conditional_callbac

_run__103696526__pro

_conditional_callbac

“around'
“send'

_callback_around_13"'
_conditional_callbac

_run__103696526__pro

“send'
' _run_process_action_

“send'
“run_callbacks'

8/gems/activesupport-3.0.17/1lib/active_support/notifications.rb:52:in " instrument'
8/gems/activesupport-3.0.17/1ib/active_support/notifications/instrumenter.rb:21:in “inst

8/gems/activesupport-3.0.17/1lib/active_support/notifications.rb:52:in " instrument'
8/gems/actionpack-3.0.17/1lib/action_controller/metal/instrumentation.rb:29:in “process_a
ction'

/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/abstract_controller/base.rb:119:in ‘process'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/abstract_controller/rendering.rb:41:in “process'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_controller/metal.rb:138:in “dispatch’'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_controller/metal/rack_delegation.rb:14:in “dispatch'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_controller/metal.rb:178:in “action'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/routing/route_set.rb:68:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/routing/route_set.rb:68:in “dispatch'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/routing/route_set.rb:33:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/1ib/rack/mount/route_set.rb:148:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/1lib/rack/mount/code_generation.rb:93:in "“recognize'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/1ib/rack/mount/code_generation.rb:75:in ‘optimized_each'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/1ib/rack/mount/code_generation.rb:92:in "recognize'
/usr/lib/ruby/gems/1.8/gems/rack-mount-0.6.14/1lib/rack/mount/route_set.rb:139:in ‘call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/routing/route_set.rb:499:in ‘call'
/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.13/1ib/apipie/static_dispatcher.rb:57:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/best_standards_support.rb:17:in
“call!
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/head.rb:14:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1lib/rack/methodoverride.rb:24:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/params_parser.rb:21:in ‘call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/flash.rb:182:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/session/abstract_store.rb:149:in
“call!
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/cookies.rb:302:in “call'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.17/1ib/active_record/query_cache.rb:32:in “call'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.17/1lib/active_record/connection_adapters/abstract/query_cache.rb
:28:1in "cache'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.17/1ib/active_record/query_cache.rb:12:in "cache'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.17/1lib/active_record/query_cache.rb:31:in “call'
/usr/lib/ruby/gems/1.8/gems/activerecord-3.0.17/1ib/active_record/connection_adapters/abstract/connection_poo
l.rb:354:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/callbacks.rb:46:in “call'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/1lib/active_support/callbacks.rb:416:in ' _run_call_callbacks'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/callbacks.rb:44:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/sendfile.rb:106:in ‘call'
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/remote_ip.rb:48:in “call’
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/show_exceptions.rb:47:in “call'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.17/1lib/rails/rack/logger.rb:13:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/runtime.rb:17:in “call'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/1lib/active_support/cache/strategy/local_cache.rb:72:in ‘call
A}
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/lock.rb:13:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1lib/rack/lock.rb:13:in "synchronize'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/lock.rb:13:in “call’
/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/static.rb:30:in “call'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.17/1ib/rails/application.rb:168:in “call’
/usr/lib/ruby/gems/1.8/gems/railties-3.0.17/1lib/rails/application.rb:77:in " send'
/usr/lib/ruby/gems/1.8/gems/railties-3.0.17/1lib/rails/application.rb:77:in ‘method_missing'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/urlmap.rb:47:in “call'
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/urlmap.rb:41:in “each’
/usr/lib/ruby/gems/1.8/gems/rack-1.2.5/1ib/rack/urlmap.rb:41:in “call’
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/request_handler.rb:96:in 'process_req
uest'
/usr/lib/ruby/gems/1.8/gems/passenger—-3.0.12/1ib/phusion_passenger/abstract_request_handler.rb:513:in " accept
_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_request_handler.rb:274:in ‘main_1
oop'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/application_spawner.rb:206:in " start_
request_handler'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/application_spawner.rb:171:in "~ send'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/application_spawner.rb:171:in "handle
_spawn_application’
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/utils.rb:479:in “safe_fork'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/application_spawner.rb:166:in “handle
_spawn_application’
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server.rb:357:in ~__send__ '
/usr/lib/ruby/gems/1.8/gems/passenger—-3.0.12/1ib/phusion_passenger/abstract_server.rb:357:in " server_main_loo
pl
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server.rb:206:in " start_synchrono
usly'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server.rb:180:in "start'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/rack/application_spawner.rb:129:in “start'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/spawn_manager.rb:253:in 'spawn_rack_applic
ation'
/usr/lib/ruby/gems/1.

up_or_add'

/usr/lib/ruby/gems/1.

ation'

/usr/lib/ruby/gems/1.

ronize'

/usr/lib/ruby/gems/1.

ronize'

/usr/lib/ruby/gems/1.

ation'

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.

ication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

pl

/usr/lib/ruby/gems/1.

usly'

/usr/lib/ruby/gems/1.

Adding autosign entry

8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.

8/gems/passenger—3.0.
8/gems/passenger—3.0.

8/gems/passenger—3.0.

8/gems/passenger—3.0

for dtstest5.tuc.noao.edu.sdm.noao.edu

Add the TFTP configuration for dtstest5.tuc.nocao.edu.sdm.noao.edu
Create DHCP reservation for dtstest5.tuc.nocao.edu.sdm.nocao.edu-52:54:00:2c:ac:c8/140.252.26.2

Failed to save:

reate a compute sdmvml

:NilClass

/usr/share/foreman/app/models/orchestration/compute.rb:

(Libvirt)

failed to detect boot server:

/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.

/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.
/usr/share/foreman/app/models/orchestration.

/usr/lib/ruby/gems/1.

ks'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

turning_status'

/usr/lib/ruby/gems/1.
“transaction'
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ments.rb:139:in

turning_status'

/usr/lib/ruby/gems/1.

DNS result has no information for ctrl.tuc.nocao.edu,
instance dtstest5.tuc.noao.edu.sdm.noao.edu:

59:in ~setCompute'

rb:155:in " send’
rb:155:in "“execute'
rb:128:in “process'
rb:124:in "“reverse_each'
rb:124:in “process'
rb:40:in “on_destroy'

12/1ib/phusion_passenger/abstract_server.
12/1ib/phusion_passenger/abstract_server.

12/1ib/phusion_passenger/abstract_server.

.12/helper-scripts/passenger—spawn-server:

undefined method "merge'

8/gems/activesupport-3.0.17/1lib/active_support/callbacks.rb:491:in

8/gems/activerecord-3.
8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.

8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.

0.

12/1ib/phusion_passenger/abstract_server_collection.rb:132:in " look
12/1ib/phusion_passenger/spawn_manager.rb:246:in " spawn_rack_applic
12/1ib/phusion_passenger/abstract_server_collection.rb:82:in "synch
12/1ib/phusion_passenger/abstract_server_collection.rb:79:in 'synch
12/1ib/phusion_passenger/spawn_manager.rb:244:in " spawn_rack_applic
12/1ib/phusion_passenger/spawn_manager.rb:137:in " spawn_application

12/1ib/phusion_passenger/spawn_manager.rb:275:in "handle_spawn_appl

rb:357:in " __send_ '
rb:357:in "“server_main_loo
rb:206:in "~ start_synchrono
99

Failed to ¢
for nil

*_run_destroy_callbac

.17/1ib/active_record/callbacks.rb:256:in “destroy'
.17/1ib/active_record/transactions.rb:235:in “destroy'
.17/1ib/active_record/transactions.rb:292:in ‘with_transaction_re

.17/1ib/active_record/connection_adapters/abstract/database_state

.17/1ib/active_record/transactions.rb:207:in
.17/1ib/active_record/transactions.rb:290:in

/usr/share/foreman/app/models/orchestration.rb:68:1in “destroy'
/usr/share/foreman/app/controllers/hosts_controller.rb:119:in “destroy'

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1
nl

n

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

8/gems/actionpack-3
8/gems/actionpack-3

8/gems/actionpack-3
8/gems/actionpack-3
8/gems/actionpack-3
8/gems/activesupport-3

cess_action_ 467867647__callbacks'
8/gems/activesupport-3.

/usr/lib/ruby/gems/1.

k_around_4391"

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

20

/usr/lib/ruby/gems/1.

k_around_4391"'
/usr/lib/ruby/gems/1

k_around_4390"'

/usr/share/foreman/lib/foreman/threadsession.rb:31:in
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/1ib/active_support/callbacks.

k_around_4390"'

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/1ib/active_support/callbacks.

8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.

8/gems/activesupport-3.
cess_action_ 467867647__callbacks'
/usr/lib/ruby/gems/1.8/gems/activesupport-3.

cess_action__467867647__callbacks'

/usr/lib/ruby/gems/1.8/gems/activesupport—-3.0.17/1lib/active_support/callbacks.

k_around_4389"'
17/1ib/active_record/transactions.rb:235:1in

.0.17/1ib/action_controller/metal/implicit_render.

.0.17/1ib/action_controller/metal/implicit_render.

0.17/1ib/active_support/callbacks.rb:483:1in

0.17/1ib/active_support/callbacks.
0.17/1lib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.
0.17/1ib/active_support/callbacks.

0.17/1ib/active_support/callbacks.

0.17/1ib/active_support/callbacks.

“clear_thread'

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

221:

331:

315:

315:

220:

477

221:

220:

437:

274, 8

in

in

in

in

in

in

in

in

in

in

“transaction'
‘with_transaction_re

“destroy'
rb:4:in "“send_actio
rb:4:in "“send_actio

.0.17/1ib/abstract_controller/base.rb:150:in “process_action'
.0.17/1ib/action_controller/metal/rendering.rb:11:in 'process_action'
.0.17/1ib/abstract_controller/callbacks.rb:18:in 'process_action'

_run__103696526__pro
_conditional_callbac
“around'

“send’
‘_callback_around_151
_conditional_callbac

_run__103696526__pro

*_conditional_callbac

*_conditional_callbac

_run__103696526__pro

*_conditional_callbac
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

k_around_4389"'

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

callbacks'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ction'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

rument '

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ction'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

‘call!

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

‘call!

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

:28:1in "~ cache'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

l.rb:354:in “call'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

uest'
8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.
cess_action__467867647__callbacks'
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/actionpack-3.0.17/1ib/abstract_controller/callbacks.rb:17:in ‘process_action'
8/gems/actionpack-3.0.17/1lib/action_controller/metal/rescue.rb:17:in 'process_action'
8/gems/actionpack-3.0.17/1lib/action_controller/metal/instrumentation.rb:30:in “process_a

0
0

.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.

.17/1ib/active_support/callbacks.

.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.

.17/1ib/active_support/callbacks.
.17/1ib/active_support/callbacks.

rb:
rb:
rb:
rb:

rb:

rb:
rb:

rb:
rb:

331:
315:
315:
220:

in
in
in
in
436:1in
410:in
410:1in

94:in
94:in

“around'
“send'

_callback_around_13"
_conditional_callbac

_run__103696526__pro

“send'
' _run_process_action_

“send'
“run_callbacks'

8/gems/activesupport-3.0.17/1lib/active_support/notifications.rb:52:in " instrument'
8/gems/activesupport-3.0.17/1ib/active_support/notifications/instrumenter.rb:21:in "“inst

8/gems/activesupport-3.0.17/1lib/active_support/notifications.rb:52:in " instrument'
.17/1ib/action_controller/metal/instrumentation.rb:29:in ‘process_a

8/gems/actionpack-3.0

8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.

8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/actionpack-3.

8/gems/apipie-rails-0.

8/gems/actionpack-3.0
8/gems/actionpack-3.0
8/gems/actionpack-3.0
8/gems/actionpack-3.0

8/gems/actionpack-3.0

8/gems/actionpack-3.0

8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.
8/gems/activerecord-3.
8/gems/activerecord-3.

0
0
0
0
0
0
0
8/gems/actionpack-3.0.
6
6
6
6
6
0

.14/1ib/rack/mount/route_set.rb:148:1in
.14/1ib/rack/mount/code_generation.rb:93:in
.14/1ib/rack/mount/code_generation.rb:75:in
.14/1ib/rack/mount/code_generation.rb:92:in
.14/1ib/rack/mount/route_set.rb:139:in “call'
.17/1ib/action_dispatch/routing/route_set.rb:499:in “call'
0.13/1ib/apipie/static_dispatcher.rb:57:in ‘call'

.17/1ib/action_dispatch/routing/route_set.rb:68:in
.17/1ib/action_dispatch/routing/route_set.rb:68:in
17/1ib/action_dispatch/routing/route_set.rb:33:in

call!

.17/1ib/abstract_controller/base.rb:119:in “process'
.17/1ib/abstract_controller/rendering.rb:41:in “process'
.17/1ib/action_controller/metal.rb:138:in “dispatch'
.17/1ib/action_controller/metal/rack_delegation.rb
.17/1ib/action_controller/metal.rb:178:in “action'

:14:in “dispatch'

“call!
“dispatch'
“call!

‘recognize'
“optimized_each'
‘recognize'

.17/1ib/action_dispatch/middleware/best_standards_support.rb:17:in

.17/1ib/action_dispatch/middleware/head.rb:14:in “call'
8/gems/rack-1.2.5/1ib/rack/methodoverride.rb:24:in “call’
.17/1ib/action_dispatch/middleware/params_parser.rb:21:in “call'
.17/1ib/action_dispatch/middleware/flash.rb:182:in “call'
.17/1ib/action_dispatch/middleware/session/abstract_store.rb:149:in

.17/1ib/action_dispatch/middleware/cookies.rb:302:in “call'
17/1ib/active_record/query_cache.rb:32:in “call'
17/1ib/active_record/connection_adapters/abstract/query_cache.rb

0.
0.

.17/1ib/active_record/query_cache.rb:12:in "cache'
.17/1lib/active_record/query_cache.rb:31:in “call’

.17/1ib/active_record/connection_adapters/abstract/connection_poo

8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/callbacks.rb:46:in “call'

8/gems/activesupport-3.0.17/1lib/active_support/callbacks.rb:416:1in
8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/callbacks.rb:44:in ‘call'
8/gems/rack-1.2.5/1ib/rack/sendfile.rb:106:in “call'
8/gems/actionpack-3.0.17/1ib/action_dispatch/middleware/remote_ip.rb:48:in “call'

8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/show_exceptions.rb:47:in ‘call'

8/gems/railties-3.0.17/1ib/rails/rack/logger.rb:13:in “call’
8/gems/rack-1.2.5/1ib/rack/runtime.rb:17:1in

call'

‘_run_call_callbacks'

8/gems/activesupport-3.0.17/1lib/active_support/cache/strategy/local_cache.rb:72:in “call

8/gems/rack-1.2.5/1ib/rack/lock.rb:13:in “call'
8/gems/rack-1.2.5/1lib/rack/lock.rb:13:in "~synchronize'

8/gems/rack-1.2.5/1ib/rack/lock.rb:13:in

call"

8/gems/actionpack-3.0.17/1lib/action_dispatch/middleware/static.rb:30:in “call'
8/gems/railties—3.0.17/1lib/rails/application.rb:168:in “call'

8/gems/railties-3.0.17/1lib/rails/application.rb:77:in " send'

8/gems/railties-3.0.17/1lib/rails/application.rb:77:in "method_missing'
8/gems/rack-1.2.5/1ib/rack/urlmap.rb:47:in “call'
8/gems/rack-1.2.5/1lib/rack/urlmap.rb:41:in ‘each'
8/gems/rack-1.2.5/1ib/rack/urlmap.rb:41:in ‘call'
8/gems/passenger—3.0.12/1ib/phusion_passenger/rack/request_handler.rb:96:in "process_req
/usr/lib/ruby/gems/1

.8/gems/passenger-3.

_and_process_next_request'

/usr/lib/ruby/gems/1
oop'

/usr/lib/ruby/gems/1
request_handler'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

_spawn_application’

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

_spawn_application’

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

pl

/usr/lib/ruby/gems/1.

usly'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ation'

/usr/lib/ruby/gems/1.

up_or_add'

/usr/lib/ruby/gems/1.

ation'

/usr/lib/ruby/gems/1.

ronize'

/usr/lib/ruby/gems/1.

ronize'

/usr/lib/ruby/gems/1.

ation'

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.

ication'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

pl

/usr/lib/ruby/gems/1.

usly'
/usr/lib/ruby/gems/1

.8/gems/passenger-3.
.8/gems/passenger-3.

8/gems/passenger—-3.
8/gems/passenger—3.

8/gems/passenger—-3.
8/gems/passenger—3.

8/gems/passenger—-3.
8/gems/passenger—3.

8/gems/passenger—-3.
8/gems/passenger—3.
8/gems/passenger—-3.
8/gems/passenger—3.
8/gems/passenger—-3.
8/gems/passenger—3.
8/gems/passenger—3.
8/gems/passenger—-3.
8/gems/passenger—3.
8/gems/passenger—3.
8/gems/passenger—-3.

8/gems/passenger—3.
8/gems/passenger—-3.

8/gems/passenger—3.

.8/gems/passenger-3.

0

.12/1ib/phusion_passenger/abstract_request_handler.
.12/1ib/phusion_passenger/abstract_request_handler.
.12/1ib/phusion_passenger/rack/application_spawner.

.12/1ib/phusion_passenger/rack/application_spawner.
.12/1ib/phusion_passenger/rack/application_spawner.

.12/1ib/phusion_passenger/utils.rb:479:in "“safe_fork'

.12/1ib/phusion_passenger/rack/application_spawner.rb:

.12/1ib/phusion_passenger/abstract_server.rb:357:1in
.12/1ib/phusion_passenger/abstract_server.rb:357:1in

.12/1ib/phusion_passenger/abstract_server.rb:206:1in

.12/1ib/phusion_passenger/abstract_server.rb:180:in

rb:

rb:

rb:
rb:

:513:

274:

206:

171:

171:

166:

in

in

in

in

in

in

__send__

‘start!

“accept
‘main_1
“start_
“send'

“handle

“handle

‘server_main_loo

“start_synchrono

.12/1ib/phusion_passenger/rack/application_spawner.rb:129:in start'
.12/1ib/phusion_passenger/spawn_manager.rb:253:in ' spawn_rack_applic

.12/1ib/phusion_passenger/abstract_server_collection.rb:132:in "~ look

.12/1ib/phusion_passenger/spawn_manager.rb:246:in " spawn_rack_applic

.12/1ib/phusion_passenger/abstract_server_collection.rb:82:in " synch

.12/1ib/phusion_passenger/abstract_server_collection.rb:79:in " synch

.12/1ib/phusion_passenger/spawn_manager.rb:244:in " spawn_rack_applic

.12/1ib/phusion_passenger/spawn_manager.rb:137:in ' spawn_application

.12/1ib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_appl

rb:357:1in
rb:357:1in

.12/1ib/phusion_passenger/abstract_server.
.12/1ib/phusion_passenger/abstract_server.

.12/1ib/phusion_passenger/abstract_server.

.12/helper-scripts/passenger—spawn-server: 99

Redirected to https://ctrl.tuc.noao.edu/hosts
Completed 302 Found in 2635ms

#2 - 12/12/2012 03:16 PM - Joshua Hoblitt

There is something weird going on it either ./app/models/orchestration/tftp.rb or ./app/models/orchestration/dhcp.rb. There's no way the hostname of
the foreman/proxy/puppet host can't be resolved in DNS.

__send__'
“server_main_loo

rb:206:in "~ start_synchrono

| don't know why it fixed it, but uncommenting this configuration value in foreman-proxy settings.yml and setting it to an IP address (a DNS name does

not work), fixes the error.

:tftp_servername:

#3 - 02/27/2014 04:56 PM - Benjamin Papillon

- Status changed from New to Resolved

Hello,

Thanks for the report and the feedback. | hope you are still using Foreman and saw nice improvements in this field with the latests releases.

Regards

#4 - 02/27/2014 05:28 PM - Joshua Hoblitt

I must have missed it. What commit resolved this problem?

#5 - 02/28/2014 10:41 AM - Benjamin Papillon

Hello,

There is a misunderstanding :) | changed the status of the ticket to resolved because you found a workaround to your problem. | really don't know if
the root cause you have seen has been fixed or not.
| can keep the bug open until a developper look at it if you wish.

05/18/2024

7/8



Regards

05/18/2024 8/8


http://www.tcpdf.org

